> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Webhook public key

> Retrieve webhook public key if present in the system.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/notifications/webhooks/settings/public-key
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/notifications/webhooks/settings/public-key:
    get:
      tags:
        - Webhooks
      summary: Retrieve Webhook public key
      description: Retrieve webhook public key if present in the system.
      operationId: SettingsController_getWebhookPublicKey
      parameters: []
      responses:
        '200':
          description: Successfully retrieved Webhook public key.
          content:
            application/json:
              schema:
                type: string
        '404':
          description: Webhook public key is not generated.
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````